$table-index-width: 28px;
$table-divider-width: 18px;
$table-set-width: 33%;
$table-row-height: 60px;

.table {
    position: relative;
    width: 100%;
    margin: 15px 0 30px 0;
    padding: 0;

    border-collapse: collapse;
    @include _font-table('regular', $color-paragraph);
    @include _font-size($font-size-6);

    &.table-striped > tbody > tr:nth-of-type(odd) {
        background: rgba(0, 0, 0, .07);
    }

    p {
        margin: 0;
        padding: 0;
    }

    tr {
        width: 100%;
        height: $table-row-height;
        @include _align-flex(center, flex-start, row);

        td,
        th {
            flex: 1;
        }
    }

    &.-small tr {
        height: #{($table-row-height/3)*2};
    }

    &.-large tr {
        height: #{($table-row-height/3)*4};
    }

    thead {
        tr {
            align-items: flex-end;
        }

        tr td,
        tr th {
            padding: 0 0 2px 0;
            vertical-align: bottom;
            border-width: 0 0 2px 0;
            border-style: solid;
            border-color: darken($color-greydark, 8%);
        }
    }

    tbody {
        width: 100%;

        tr td {
            padding: 0;
            vertical-align: middle;
            border-color: darken($color-greydark, 8%);
            border: 0;
        }
    }


    @include _respond-to(phones) {
        .hidden-xs {
            display: none;
        }
    }

    @include _respond-to(tablets, desktops) {
        .visible-xs {
            display: none;
        }
    }
}